> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# shipmentlinks

> Create a list of specified mailings (flow, form, regular mailing/shipment...), hierarchy optional

## "shipmentlinks" MDO List

Create a list of specified mailings (flow, form, regular mailing/shipment...), hierarchy optional

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ShipmentLinksListProvider">ShipmentLinksListProvider</see> class.
The name of the MDO list is 'shipmentlinks'.

## Additional Attributes

| Description                  | Name       | Example Value |
| ---------------------------- | ---------- | ------------- |
| Local links                  | local      | false         |
| Global links                 | global     | true          |
| Shipment to search for links | shipmentId | 0             |

Separator: &

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/shipmentlinks
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("shipmentlinks", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "shipmentlinksheadings"
* "shipmentlinksheadingswithallitem"
* "shipmentlinksheadingswithallitemwithnoselection"
* "shipmentlinksheadingswithnoselection"
* "shipmentlinkswithallitem"
* "shipmentlinkswithallitemwithnoselection"
* "shipmentlinkswithnoselection"


## Related topics

- [Enum ShipmentLinkAction](/en/automation/crmscript/reference/CRMScript.NetServer.ShipmentLinkAction.md)
- [Enum ShipmentLinkType](/en/automation/crmscript/reference/CRMScript.NetServer.ShipmentLinkType.md)
- [Enum ShipmentLinkTaskFlags](/en/automation/crmscript/reference/CRMScript.NetServer.ShipmentLinkTaskFlags.md)
- [Enum values for ShipmentLinkAction](/en/database/tables/enums/shipmentlinkaction.md)
- [Enum values for ShipmentLinkType](/en/database/tables/enums/shipmentlinktype.md)
- [Enum values for ShipmentLinkRedirectKind](/en/database/tables/enums/shipmentlinkredirectkind.md)
